#include <Q2HX711.h>
#include <LiquidCrystal.h>

#define LCD_D4 4
#define LCD_D5 5
#define LCD_D6 6
#define LCD_D7 7
#define LCD_RS 8
#define LCD_EN 9

#define SAMPLE_COU 10
#define HX711_CK A3
#define HX711_DO A2

long OFF_SET, SUM;

Q2HX711 hx711(HX711_DO, HX711_CK);
LiquidCrystal lcd(LCD_RS, LCD_EN, LCD_D4, LCD_D5, LCD_D6, LCD_D7);

void setup() {
  char I;
  lcd.begin(16, 2);
  
  Serial.begin(9600);
  for (I = 1; I <= SAMPLE_COU; I++) {
    SUM += hx711.read();
    delay(100);
  }
  SUM /= (SAMPLE_COU * 100);
  OFF_SET = (float)(82953 - SUM) / 2.1612 ;
}

void loop() {
  char I;
  for (I = 1; I <= SAMPLE_COU; I++) {
    SUM += hx711.read();
    delay(100);
  }
  SUM /= (SAMPLE_COU * 100);
  lcd.clear();
  lcd.setCursor(0, 1);
  lcd.print((int)((float)(82953 - SUM) / 2.1612) - OFF_SET);
  lcd.print("g");
  SUM = 0;
}
